{
  "name": "system/sql_date_format.json",
  "sql_date_format": {
    "4d": {
      "date": {
        "format": "yyyy-mm-dd"
      },
      "time": {
        "format": "yyyy-mm-dd"
      }
    },
    "postgre": {
      "timestamp": {
        "format": "yyyy-mm-dd hh:mm:ss",
        "cast_function": "TO_TIMESTAMP",
        "date_parameter_number": 1,
        "parameter": {
          "2": "'YYYY-MM-DD HH24:MI:SS'"
        }
      },
      "date": {
        "format": "yyyy-mm-dd",
        "cast_function": "TO_DATE",
        "date_parameter_number": 1,
        "parameter": {
          "2": "'YYYY-MM-DD'"
        }
      }
    },
    "oracle": {
      "timestamp": {
        "format": "yyyy-mm-dd hh:mm:ss",
        "cast_function": "TO_TIMESTAMP",
        "date_parameter_number": 1,
        "parameter": {
          "2": "'YYYY-MM-DD HH24:MI:SS'"
        }
      },
      "date": {
        "format": "yyyy-mm-dd hh:mm:ss",
        "cast_function": "TO_DATE",
        "date_parameter_number": 1,
        "parameter": {
          "2": "'YYYY-MM-DD HH24:MI:SS'"
        }
      }
    }
  }
}